import * as React from 'react';
import {emphasize, styled} from '@mui/material/styles';
import Breadcrumbs from '@mui/material/Breadcrumbs';
import HomeIcon from '@mui/icons-material/Home';
import {useNavigate, useOutletContext} from "react-router-dom";
import Link from '@mui/material/Link';
import Typography from '@mui/material/Typography';

function handleClick(event) {
	event.preventDefault();
	//console.info('You clicked a breadcrumb.');
}

export default function CustomizedBreadcrumbs(data) {
	const navigate = useNavigate();

	return (
		<div role="presentation" onClick={handleClick}>
			<Breadcrumbs separator="›" aria-label="breadcrumb" sx={{mb: 1}}>
				<Link
					underline="hover"
					sx={{display: 'flex', alignItems: 'center'}}
					color="inherit"
					href="/#"
					onClick={() => navigate(`/#`)}
				>
					<HomeIcon sx={{mr: 0.5}} fontSize="inherit"/>
					Home
				</Link>
				{data.route ? data.route.map(item => item.link ? <Link
						underline="hover"
						color="inherit"
						href={item.link}
						onClick={() => navigate(`${item.link}`)}
					>
						{item.label}
					</Link> : <Typography color="text.primary" >
						{item.label}
					</Typography>
				) : '' }
			</Breadcrumbs>
		</div>
	);
}
