import TagLabel from "./TagLabel";
import {Chip} from "@mui/material";

const Comment = ({comment}) => {
	return (
		<div className="rounded overflow-hidden shadow-lg mb-4 w-full block">
			<div className="px-6 py-4 ">
				<span className="text-gray mb-2 mr-3">{comment?.user?.display_name}</span>
				{
					Boolean(comment.internal) && <Chip label={'Internal'} className='mx-2'/>
				}
				{
					Boolean(comment.private) && <Chip label={'Private'} className='mx-2'/>
				}

				<div dangerouslySetInnerHTML={{__html: comment.description.replace(/(?:\r\n|\r|\n)/g, '<br>')}}/>
			</div>
		</div>
	);
}
export default Comment;
