import React, {useState, useEffect, useRef} from "react";
import { TextField } from "@mui/material";
const EditableText = ({text, onChange, label}) => {
	const [editedText, setEditedText] = useState(text);
	const timer = useRef(null)

	useEffect(() => {

		clearTimeout(timer.current)
		timer.current = setTimeout(() => {
			if (editedText !== text) {
				onChange(editedText);
			}

		},1000)

	},[editedText])


	return <>
		<TextField fullWidth sx={{ m: 1 }} label={label} value={editedText} variant="standard" multiline onChange={(e) => setEditedText(e.target.value)}/>
	</>
}
export default EditableText;
