import {Controller} from "react-hook-form";
import React from "react";
import DatePicker from "react-datepicker";
import { format, compareAsc } from 'date-fns'
const DateSelect = ({
                        name,
                        type = 'text',
                        options,
                        placeholder,
                        required = false,
                        label,
                        register,
                        onChange,
                        defaultValue,
                        control
                    }) => {
    return <>
        <label className="block text-gray-700 text-sm font-bold mb-2" htmlFor={name}>
            {label}
        </label>
        <Controller
            name={name}
            control={control}
            placeholder={placeholder}
            defaultValue={defaultValue}
            render={({field}) => {
                return <DatePicker
                    selected={field.value ? new Date(field.value) : null}
                    onChange={(date) => {field.onChange(format(date, 'yyyy-MM-dd HH:mm:ss'))}}
                    ref={field.ref}
                    placeholder={label}
                    required={required}
                    className="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
                />
            }
            }
        />
    </>
}

export default DateSelect;