import { TextField } from "@mui/material";
import { Controller } from "react-hook-form";
const InputText = ({name, type = 'text', placeholder, required = false, label, register, defaultValue, control}) => {
    return <>
		<Controller
			control={control}
			name={name}
			render={({ field: { onChange, onBlur, value, ref } }) => (
				<TextField
					fullWidth
					sx={{ m: 1 }}
					onChange={onChange}
					defaultValue={defaultValue}
					register={register}
					id={name}
					value={value}
					required={required}
					placeholder={placeholder}
					variant="standard"
					label={label}
					type={type}
				/>
			)}
		/>
    </>
}

export default InputText;
