import {default as ReactSelect} from "react-select";
import {Controller} from "react-hook-form";

const Select = ({
                    name,
                    type = 'text',
                    options,
                    placeholder,
                    required = false,
                    label,
                    register,
                    onChange,
                    defaultValue,
                    control,
					isClearable = true
                }) => {
    return <>
        <Controller
            name={name}
            control={control}
            placeholder={placeholder}
            defaultValue={defaultValue}
            render={({field}) => (
                <ReactSelect
                    value={field.value}
                    onChange={field.onChange}
                    ref={field.ref}
                    placeholder={label}
                    options={options}
                    required={required}
					menuPortalTarget={document.body}
					styles={{ menuPortal: base => ({ ...base, zIndex: 9999 }) }}
					menuPosition={'fixed'}
					isClearable={isClearable}

				/>
            )}
        />

    </>
}

export default Select;
