import React, {useState} from 'react';
import {default as ReactSelect} from "react-select";

const SelectControlled = ({name, type = 'text', placeholder, required = false, label, defaultValue,options, onChange}) => {
	return <>
		{label&& <label className="block text-gray-700 text-sm font-bold mb-2" htmlFor={name}>
			{label}
		</label> }
		<ReactSelect
			defaultValue={defaultValue}
			onChange={onChange}
			placeholder={placeholder}
			isClearable={true}
			options={options}
			menuPortalTarget={document.body}
			styles={{ menuPortal: base => ({ ...base, zIndex: 9999 }) }}
		/>
	</>
}

export default SelectControlled;
