import {FormControlLabel, Switch} from "@mui/material";
import { Controller } from "react-hook-form";
const InputText = ({name, required = false, label, register, defaultValue, control}) => {
    return <>
		<Controller
			control={control}
			name={name}
			render={({ field: { onChange, onBlur, value, ref } }) => (
				<FormControlLabel control={<Switch
					onChange={onChange}
					defaultChecked={defaultValue}
					register={register}
					id={name}
					value={value}
					required={required}
				/>
				} label={label} />

			)}
		/>
    </>
}

export default InputText;
