import React, {useState} from 'react';
import {FormControlLabel, Switch} from "@mui/material";
import {Controller} from "react-hook-form";


const InputText = ({name, required = false, label, defaultValue, control, onChange}) => {
	const [value, setValue] = useState(defaultValue);

	const handleChange = (event) => {
		setValue(event.target.checked);
		onChange(event.target.checked);
	}
	return <>
		<FormControlLabel control={<Switch
			onChange={handleChange}
			defaultChecked={defaultValue}
			id={name}
			required={required}
			value={value}
		/>
		} label={label}/>
	</>
}

export default InputText;
