import {useCurrentUser, useCurrentUserData} from "../hooks";

const PermissionsCheck = ({
							  role,
							  object_type,
							  object_id,
							  children,
							  showErrorMessage = false,
							  noPermissionContent = null,
							  module = '',
							  permissionRole
						  }) => {
	const {item: user, query: currentUserQuery, userCan} = useCurrentUserData();
	if (currentUserQuery.isLoading) {
		return 'Loading'
	}

	const content = noPermissionContent ? noPermissionContent : 'You do not have permission to view this content';

	if ((!object_type || !object_id || !role) && !permissionRole) {
		return children;
	}

	if (!userCan(role, object_type, object_id, module, permissionRole)) {
		if (noPermissionContent) {
			return <div dangerouslySetInnerHTML={{__html: noPermissionContent}} />;
		}

		return showErrorMessage ? content : null;
	}

	return <>{children}</>

}
export default PermissionsCheck;
