import * as React from 'react';
import CircularProgress from "@mui/material/CircularProgress";

export default function ProgressCircles({current, estimate = 0, big = true}) {
	const progress = estimate > 0 ? ( current / estimate * 100 ) : 0;

	return (<>
		<CircularProgress
			color={progress > 100 ? 'error' : 'inherit'}
			variant="determinate"
			value={100}
			size={big ? 40 : 30}
			sx={{
				position: 'absolute',
				top: big ? -8 : -2,
				left: big ? 0 : -3,
				opacity: progress > 100 ? 1 : 0.1,
				zIndex: 1,
			}}
		/>
		{progress ? <CircularProgress
			color="success"
			variant="determinate"
			value={progress}
			size={big ? 40 : 30}
			sx={{
				position: 'absolute',
				top: big ? -8 : -2,
				left: big ? 0 : -3,
				zIndex: 2,
			}}
		/> : ''}
	</>);
}
