/* eslint-disable */

import { HiX } from "react-icons/hi";

import SidebarCard from "./SidebarCard";
import {Link} from "react-router-dom";
import DashIcon from "../components/icons/DashIcon";
import React from "react";

const Sidebar = ({ open, onClose }) => {
  return (
    <div
      className={`sm:none duration-175 linear fixed !z-50 flex max-w-[300px] min-h-full flex-col bg-white pb-10 shadow-2xl shadow-white/5 transition-all dark:!bg-navy-800 dark:text-white md:!z-50 lg:!z-50 xl:!z-0 ${
        open ? "translate-x-0" : "-translate-x-96"
      }`}
    >
      <span
        className="absolute top-4 right-4 block cursor-pointer xl:hidden"
        onClick={onClose}
      >
        <HiX />
      </span>

      <div className={`mx-[56px] mt-[50px] flex items-center`}>
        <div className="mt-1 ml-1 h-2.5 font-poppins text-[26px] font-bold uppercase text-navy-700 dark:text-white">
          WPify <span className="font-medium">ERP</span>
        </div>
      </div>
      <div className="mt-[58px] mb-7 h-px bg-gray-300 dark:bg-white/30" />
      {/* Nav item */}

		<div className="mb-4 flex flex-wrap justify-center" >
			<Link className="mr mb-2 p-2 w-full text-primary text-center" to="/client">Clients</Link>
			<Link className="mr mb-2 p-2 w-full text-primary text-center" to="/project">Projects</Link>
			<Link className="mr mb-2 p-2 w-full text-primary text-center" to="/task">Tasks</Link>
			<Link className="mr mb-2 p-2 w-full text-primary text-center" to="/time-entry">Time entries</Link>
			<Link className="mr mb-2 p-2 w-full text-primary text-center" to="/document">Documents</Link>

		</div>

      {/* Free Horizon Card */}
      <div className="flex justify-center">
        <SidebarCard />
      </div>

      {/* Nav item end */}
    </div>
  );
};

export default Sidebar;
