import * as React from 'react';
import {useTasks} from "../hooks";
import ProgressCircles from "./ProgressCircles";
import Box from "@mui/material/Box";
import {toHoursAndMinutes} from "./TimeEntries";

function getFirstDayOfMonth() {
	const date = new Date();
	return new Date(date.getFullYear(), date.getMonth(), 1);
}

export default function SupportTimeProgress({client_id, support, detailView = false}) {
	return '';
	const {items: tasks, query, deleteItems} = useTasks({query_params: {client_id}});

	let total = 0;
	tasks && tasks.forEach(task => {
		const times = task.time_entries.filter(item => new Date(item.date_start) >= getFirstDayOfMonth());
		times.forEach(entry => {
			total += entry.minutes;
		})
	})

	const time = toHoursAndMinutes(total);
	const formattedTime = `${time.hours}h ${parseInt(time.minutes) !== 0 ? time.minutes + 'm' : ''}`;

	return (<>
		<ProgressCircles current={total / 60} estimate={support} big={detailView}/>
		{detailView && <Box sx={{displayPrint: 'block'}}>{formattedTime}</Box>}
	</>);
}
