<?php

namespace WpifyErp\Api;

use WP_REST_Controller;
use WP_REST_Request;
use WP_REST_Response;
use WP_REST_Server;
use WpifyErp\Abstracts\AbstractRest;
use WpifyErp\Controllers\ActivityLogController;
use WpifyErp\Controllers\ClientController;
use WpifyErp\Controllers\DocumentController;
use WpifyErp\Controllers\ProjectController;
use WpifyErp\Controllers\TaskController;
use WpifyErp\Enums\TaskStatuses;
use WpifyErp\Managers\ApiManager;
use WpifyErp\Repositories\ActivityLogRepository;
use WpifyErp\Repositories\AttachmentRepository;
use WpifyErp\Repositories\ClientRepository;
use WpifyErp\Repositories\DocumentRepository;
use WpifyErp\Repositories\ProjectRepository;
use WpifyErp\Repositories\TaskCommentRepository;
use WpifyErp\Repositories\TaskRepository;
use WpifyErp\Repositories\TimeEntryRepository;

class ActivityLogApi extends AbstractRest {
	public function __construct(
		public ActivityLogController $controller,
		public ActivityLogRepository $repository,

	) {
		parent::__construct();
	}

	public function base(): string {
		return 'activity-log';
	}
}
