<?php

namespace WpifyErp\Api;

use WP_REST_Controller;
use WP_REST_Request;
use WP_REST_Response;
use WP_REST_Server;
use WpifyErp\Abstracts\AbstractRest;
use WpifyErp\Controllers\ClientController;
use WpifyErp\Controllers\ProjectController;
use WpifyErp\Controllers\TaskController;
use WpifyErp\Controllers\TimeEntryController;
use WpifyErp\Enums\TaskStatuses;
use WpifyErp\Managers\ApiManager;
use WpifyErp\Repositories\AttachmentRepository;
use WpifyErp\Repositories\ClientRepository;
use WpifyErp\Repositories\ProjectRepository;
use WpifyErp\Repositories\TaskCommentRepository;
use WpifyErp\Repositories\TaskRepository;
use WpifyErp\Repositories\TimeEntryRepository;

class TimeEntryApi extends AbstractRest {
	public function __construct(
		public TimeEntryController $controller,
		public TimeEntryRepository $repository,

	) {
		parent::__construct();
	}

	public function base(): string {
		return 'time-entry';
	}

	public function create_item_data( $item, $request ) {
		$item->user_id = get_current_user_id();

		return $item;
	}
}
