<?php

namespace WpifyErp\Controllers;

use WpifyErp\Abstracts\AbstractController;
use WpifyErp\Repositories\ProjectRepository;
use WpifyErp\Repositories\TaskRepository;

class TaskController extends AbstractController {
	public function __construct(
		private TaskRepository $task_repository
	) {
	}

	public function get_items( $args = [], array $fields = [] ) {
		$items = $this->task_repository->find( $args );

		return $this->collection_to_array( $items, $fields );
	}

	public function get_item( int $id,  array $fields = []) {
		$item = $this->task_repository->get( $id );

		return $item->to_array($fields);
	}
}
