<?php

namespace WpifyErp\Features;

use WpifyErp\Repositories\ActivityLogRepository;

class ActivityLog {
	public function __construct( private ActivityLogRepository $activity_log_repository ) {
	}

	public function add_log( $type, $object_id, $object_type, array $context = [], $original_item = null ) {
		$log              = $this->activity_log_repository->create();
		$log->user_id     = get_current_user_id();
		$log->type        = $type;
		$log->object_id   = $object_id;
		$log->object_type = $object_type;
		$log->context     = $context;
		if ( isset( $context['_locale'] ) ) {
			unset( $context['_locale'] );
		}
		$this->activity_log_repository->save( $log );
		do_action( 'wpify_erp_add_log', $type, $object_id, $object_type, $log, $context, $original_item );
	}
}
