<?php

namespace WpifyErp\Features;

use Wpify\Templates\TwigTemplates;

class Emails {
	public function __construct(
		private TwigTemplates $templates
	) {
	}

	public function send_email( $to, $subject, $content_array, $attachments = [] ) {
		$headers = [
			'Content-Type: text/html; charset=UTF-8',
		];

		wp_mail( $to, $subject, $this->get_content( $content_array ), $headers, $attachments );
	}

	public function get_content( $content ) {
		return $this->templates->render(
			'emails/email.twig',
			null,
			$content
		);
	}
}
