<?php

namespace WpifyErp\Managers;

use WpifyErp\Repositories\ActivityLogRepository;
use WpifyErp\Repositories\AttachmentRepository;
use WpifyErp\Repositories\ClientRepository;
use WpifyErp\Repositories\DocumentRepository;
use WpifyErp\Repositories\PermissionRepository;
use WpifyErp\Repositories\ProjectRepository;
use WpifyErp\Repositories\TagRelationshipRepository;
use WpifyErp\Repositories\TagRepository;
use WpifyErp\Repositories\TaskCommentRepository;
use WpifyErp\Repositories\TaskRepository;
use WpifyErp\Repositories\TimeEntryRepository;
use WpifyErp\Repositories\UserRepository;
use WpifyErpDeps\Wpify\Model\Manager;

class RepositoryManager {
	public function __construct(
		Manager $manager,
		ProjectRepository $project_repository,
		TaskRepository $task_repository,
		UserRepository $user_repository,
		TaskCommentRepository $task_comment_repository,
		TimeEntryRepository $time_entry_repository,
		AttachmentRepository $attachment_repository,
		ClientRepository $client_repository,
		DocumentRepository $document_repository,
		TagRepository $tag_repository,
		TagRelationshipRepository $tag_relationship_repository,
		ActivityLogRepository $activity_log_repository,
		PermissionRepository $permission_repository
	) {
//		foreach ( $manager->get_repositories() as $repository ) {
//			wpify_erp()->set( $repository::class, $repository );
//		}

		$custom_repositories = array(
			$project_repository,
			$task_repository,
			$user_repository,
			$task_comment_repository,
			$time_entry_repository,
			$attachment_repository,
			$client_repository,
			$document_repository,
			$tag_repository,
			$tag_relationship_repository,
			$activity_log_repository,
			$permission_repository
		);

		foreach ( $custom_repositories as $repository ) {
			$manager->register_repository( $repository );
		}
	}
}
