<?php
// phpcs:ignore

namespace WpifyErp\Models;

use WpifyErpDeps\Wpify\Model\Attributes\Column;
use WpifyErpDeps\Wpify\Model\Attributes\ReadOnlyProperty;
use WpifyErpDeps\Wpify\Model\Model;

/**
 * Event model.
 */
class ActivityLogModel extends Model {
	#[Column( type: Column::INT, auto_increment: true, primary_key: true )]
	public int $id = 0;
	#[Column( type: Column::INT )]
	public int $user_id = 0;

	#[Column( type: Column::VARCHAR, params: 255 )]
	public string $object_type = '';

	#[Column( type: Column::VARCHAR, params: 255 )]
	public string $type = '';

	#[Column( type: Column::INT )]
	public int $object_id = 0;

	#[Column( type: Column::JSON )]
	public array $context = [];

	#[Column( type: Column::TIMESTAMP, nullable: false, default: 'NOW()' )]
	public ?string $date_created = null;
	#[Column( type: Column::TIMESTAMP, on_update: 'CURRENT_TIMESTAMP' )]
	public string $date_updated = '';

	#[Column( type: Column::TIMESTAMP, nullable: true )]
	public ?string $deleted_at = null;
}
