<?php
// phpcs:ignore

namespace WpifyErp\Models;

use WpifyErpDeps\Wpify\Model\Attributes\Column;
use WpifyErpDeps\Wpify\Model\Attributes\ReadOnlyProperty;
use WpifyErpDeps\Wpify\Model\Model;

/**
 * Event model.
 */
class AttachmentModel extends Model {
	#[Column( type: Column::INT, auto_increment: true, primary_key: true )]
	public int $id = 0;
	#[Column( type: Column::INT )]
	public int $user_id = 0;

	#[Column( type: Column::VARCHAR, params: 255 )]
	public string $path = '';

	#[Column( type: Column::VARCHAR, params: 255 )]
	public string $object_type = '';

	#[Column( type: Column::INT )]
	public int $object_id = 0;

	#[Column( type: Column::TIMESTAMP, nullable: false, default: 'NOW()' )]
	public ?string $date_created = null;
	#[Column( type: Column::TIMESTAMP, on_update: 'CURRENT_TIMESTAMP' )]
	public string $date_updated = '';

	#[Column( type: Column::TIMESTAMP, nullable: true )]
	public ?string $deleted_at = null;

	#[ReadOnlyProperty]
	public string $url = '';

	#[ReadOnlyProperty]
	public string $type = '';

	public function get_url() {
		$dir = wp_upload_dir()['baseurl'];

		return sprintf( '%s/wpify-erp/%s', $dir, $this->path );
	}

	public function get_type() {
		$dir  = wp_upload_dir()['basedir'];
		$path = sprintf( '%s/wpify-erp/%s', $dir, $this->path );

		return mime_content_type( $path );
	}


}
