<?php
// phpcs:ignore

namespace WpifyErp\Models;

use WpifyErpDeps\Wpify\Model\Attributes\Column;
use WpifyErpDeps\Wpify\Model\Attributes\ReadOnlyProperty;
use WpifyErpDeps\Wpify\Model\Model;

/**
 * Event model.
 */
class DocumentModel extends Model {
	#[Column( type: Column::INT, auto_increment: true, primary_key: true )]
	public int $id = 0;
	#[Column( type: Column::INT )]
	public int $user_id = 0;

	#[Column( type: Column::VARCHAR, params: 255 )]
	public string $title = '';

	#[Column( type: Column::TEXT )]
	public string $content = '';

	#[Column( type: Column::VARCHAR, params: 255 )]
	public string $object_type = '';

	#[Column( type: Column::INT )]
	public int $object_id = 0;

	#[Column( type: Column::TIMESTAMP, nullable: false, default: 'NOW()' )]
	public ?string $date_created = null;
	#[Column( type: Column::TIMESTAMP, on_update: 'CURRENT_TIMESTAMP' )]
	public string $date_updated = '';

	#[Column( type: Column::TIMESTAMP, nullable: true )]
	public ?string $deleted_at = null;

	#[Column( type: Column::INT )]
	public int $internal = 0;

	#[Column( type: Column::INT )]
	public int $private = 0;


	#[ReadOnlyProperty]
	public array $tags = [];

	public function to_array( array $props = array(), array $recursive = array() ): array {
		$data = parent::to_array( $props, [ 'tags' ] );

		return $data;
	}
	public function get_tags() {
		return $this->manager()->get_model_repository( TagModel::class )->get_by_id_and_object_type( $this->id, 'document' );
	}

}
