<?php
// phpcs:ignore

namespace WpifyErp\Models;

use WpifyErpDeps\Wpify\Model\Attributes\Column;
use WpifyErpDeps\Wpify\Model\Attributes\ReadOnlyProperty;
use WpifyErpDeps\Wpify\Model\Model;

/**
 * Event model.
 */
class TaskCommentModel extends Model {
	#[Column( type: Column::INT, auto_increment: true, primary_key: true )]
	public int $id = 0;

	#[Column( type: Column::INT, params: 255 )]
	public int $task_id = 0;

	#[Column( type: Column::VARCHAR, params: 10000000 )]
	public string $description = '';
	#[Column( type: Column::INT )]
	public int $user_id = 0;

	#[Column( type: Column::INT )]
	public int $internal = 0;

	#[Column( type: Column::INT )]
	public int $private = 0;

	#[Column( type: Column::TIMESTAMP, nullable: false, default: 'NOW()' )]
	public ?string $date_created = null;
	#[Column( type: Column::TIMESTAMP, on_update: 'CURRENT_TIMESTAMP' )]
	public string $date_updated = '';

	#[Column( type: Column::TIMESTAMP, nullable: true )]
	public ?string $deleted_at = null;

	#[ReadOnlyProperty]
	public ?UserModel $user;

	public function to_array( array $props = array(), array $recursive = array() ): array {
		return parent::to_array( $props, [ 'user' ] );
	}

	public function get_user() {
		return $this->manager()->get_model_repository( UserModel::class )->get( $this->user_id );
	}
}
