<?php

namespace WpifyErp\Repositories;

use WpifyErp\Abstracts\AbstractRepository;
use WpifyErp\Models\ActivityLogModel;
use WpifyErp\Models\AttachmentModel;
use WpifyErp\Models\DocumentModel;

/**
 * @method ActivityLogModel create()
 */
class ActivityLogRepository extends AbstractRepository {

	/**
	 * Table name.
	 * @var string $table_name
	 */
	public static string $table_name = 'wpify_erp_activity_log';

	/**
	 * Return table name.
	 * @return string
	 */
	public function table_name(): string {
		return self::$table_name;
	}

	public function model(): string {
		return ActivityLogModel::class;
	}

	public function build_args( array $args ) {
		$result = [];
		if ( ! empty( $args['object_id'] ) ) {
			$result['where'][] = "object_id = {$args['object_id']}";
		}
		if ( ! empty( $args['object_type'] ) ) {
			$result['where'][] = "object_type = '{$args['object_type']}'";
		}

		return $result;
	}
}
