<?php

namespace WpifyErp\Repositories;

use WpifyErp\Abstracts\AbstractRepository;
use WpifyErp\Models\ActivityLogModel;
use WpifyErp\Models\AttachmentModel;
use WpifyErp\Models\DocumentModel;
use WpifyErp\Models\TagModel;

/**
 * @method AttachmentModel create()
 */
class TagRepository extends AbstractRepository {
	public function __construct(
		private TagRelationshipRepository $tag_relationship_repository,
	) {
		parent::__construct();
	}
	/**
	 * Table name.
	 * @var string $table_name
	 */
	public static string $table_name = 'wpify_erp_tags';

	/**
	 * Return table name.
	 * @return string
	 */
	public function table_name(): string {
		return self::$table_name;
	}

	public function model(): string {
		return TagModel::class;
	}

	public function get_by_id_and_object_type( $id, $object_type ) {
		$relationsships = $this->tag_relationship_repository->find(
			[
				'where' => [
					"object_id = $id",
					"object_type = '$object_type'",
				],
			]
		);

		if ( empty( $relationsships ) ) {
			return [];
		}

		return $this->find(
			[
				'where' => [
					sprintf( "id IN (%s)",
					         implode( ',',
					                  array_map( function ( $item ) {
						                  return $item->tag_id;
					                  }, $relationsships ) ) ),
				],
			]
		);
	}
}
